Move statistics::discovery jobs from stat1002 -> stat1005
Closed, ResolvedPublic5 Story Points

Description

We are replacing stat1002 with stat1005. stat1002 is Ubuntu Trusty, stat1005 is Debian Stretch. As such, many package versions have changed.

This task is about migrating the jobs in statistics::discovery to stat1005, which will use PHP7 instead of PHP5.

I can make the puppet change myself, but I need help verifying that the jobs run and work properly.

Ottomata created this task.Jul 12 2017, 8:05 PM
Restricted Application edited projects, added Analytics; removed Patch-For-Review. · View Herald TranscriptJul 12 2017, 8:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ottomata set the point value for this task to 5.Jul 12 2017, 8:07 PM

Change 364841 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Move statistics::wmde jobs to stat1005 from stat1002

https://gerrit.wikimedia.org/r/364841

Change 364841 merged by Ottomata:
[operations/puppet@production] Move statistics::wmde jobs to stat1005 from stat1002

https://gerrit.wikimedia.org/r/364841

Nuria edited projects, added Analytics-Kanban; removed Analytics.Jul 13 2017, 3:55 PM

Change 367930 had a related patch set uploaded (by Bearloga; owner: Bearloga):
[operations/puppet@production] statistics::discovery: Reconfigure for Golden data retrieval

https://gerrit.wikimedia.org/r/367930

Change 367931 had a related patch set uploaded (by Bearloga; owner: Bearloga):
[wikimedia/discovery/golden@master] Compatibility with Puppetized runs

https://gerrit.wikimedia.org/r/367931

Ottomata moved this task from Next Up to Done on the Analytics-Kanban board.Aug 1 2017, 1:41 PM
Nuria closed this task as Resolved.Aug 2 2017, 12:34 AM